PGOBLIN_BANG(-f)
  Copyright (C)2022 @BABOLO http://www.babolo.ru/
  pkg = lrwi-readcity
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

  $Id: lrwi-readcity.pgoblin.m4,v 1.4 2022/11/30 19:17:20 babolo Exp $

#echo    Q
##Q copy E
##q copy
#style   00Q00Q
Q
#style   00Q00q
q
#job
local -zz
#connect 0002
sqlite3 CIPALITEVAR/BASE.sqlite
#perform 0002
PRAGMA foreign_keys = 1;
#perform 0002
PRAGMA temp_store = 2;
#perform 0002
PRAGMA application_id = 0x43495041;
#perform 0002  #######################################################      ####
CREATE TEMP TABLE v(v real) STRICT;
#cat     _
PREFIX/include/babolo/PKG.VERSION
#trap
#echo
@@@Ignore it

#perform 0002
INSERT INTO v VALUES(NULL);
#return
#copyin  00_2
COPY v;
#untrap
#wait
#close   _0_
#select  0002
SELECT 'PKG'
     , '=VERS'
     , ' File=' || CAST(v.v AS TEXT)
     , (SELECT ' DB=' || CAST(SQNM(version).SQAT(major) AS TEXT) || '.' || SQNM(version).SQAT(minor)
         FROM SQNM(version)
         WHERE SQNM(version).SQAT(pkg) == 'PKG' AND SQNM(version).SQAT(protover) IS NULL
        LIMIT 1
       )
     , ' %%%%%%%%%%%%%%%%
'FROM v CROSS JOIN SQNM(version)
 WHERE SQNM(version).SQAT(pkg) == 'PKG'
   AND SQNM(version).SQAT(protover) IS NULL
;
#perform 0002  ###################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(dem4)                   --  
     ( SQAT(demo)  INTEGER PRIMARY KEY AUTOINCREMENT      -- 
     , SQAT(exec)  text    NOT NULL                       -- 
     ) STRICT
;
#perform 0002  ##########################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(levl)                   --  
     ( SQAT(levl)  INTEGER PRIMARY KEY AUTOINCREMENT      --  
     , SQAT(name)  text    NOT NULL                       -- 
     , SQAT(ordr)  int                                    -- 
     ) STRICT
;
#perform 0002  #########################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(ques)                          --  
     ( SQAT(ques)  INTEGER PRIMARY KEY AUTOINCREMENT             -- 
     , SQAT(head)  text NOT NULL                                 -- 
     , SQAT(levl)  int  NOT NULL REFERENCES SQNM(levl)           --   
     , SQAT(ordr)  int  DEFAULT 999                              -- 
     , SQAT(demo)  int  NOT NULL REFERENCES SQNM(dem4) DEFAULT 0 --  
     , SQAT(parm)  int                                           --  
     ) STRICT
;
#perform 0002  #############################################################   X   ####
CREATE TABLE IF NOT EXISTS SQNM(quespart)               --  
     ( SQAT(ques)  int     NOT NULL REFERENCES SQNM(ques) --   
     , SQAT(part)  int     NOT NULL REFERENCES SQNM(part) --    
     , SQAT(lede)  int     NOT NULL REFERENCES SQNM(lede) --   
     , SQAT(ordr)  int                                    -- 
     , PRIMARY KEY(SQAT(ques), SQAT(part), SQAT(lede))
     ) STRICT
;
#perform 0002  ######################################################################   ####
INSERT OR REPLACE
 INTO SQNM(proj)(SQAT(proj), SQAT(name), SQAT(ordr), SQAT(vizi), SQAT(pnam), SQAT(anno))
 VALUES( LRWINUM
       , ' '
       , 999
       , 1
       , 'lrwi-readcity'
       , '  <p>
   , , , ,    ,
    .
           ,
         ,
    ,    .
  </p>
  <p>
         !
  </p>
')
;
#
